Package com.collibra.dgc.core.api.dto.tag

# Class MergeTagsRequest

Object
MergeTagsRequest

All Implemented Interfaces:
  `Serializable`

public class MergeTagsRequest extends Object implements Serializable
The IDs of the tags to be merged.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `MergeTagsRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MergeTagsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MergeTagsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getFromId()`
  Required. Id of the tag to be replaced.
  `UUID`
  `getToId()`
  Required. Id of the replacement tag.
  `int`
  `hashCode()`
  `void`
  `setFromId(UUID fromId)`
  Required. Id of the tag to be replaced.
  `void`
  `setToId(UUID toId)`
  Required. Id of the replacement tag.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MergeTagsRequest

    public MergeTagsRequest()

- ## Method Details

  - ### builder

    public static MergeTagsRequest.Builder builder()

  - ### getFromId

    public UUID getFromId()
    Required. Id of the tag to be replaced.

  - ### getToId

    public UUID getToId()
    Required. Id of the replacement tag.

  - ### setFromId

    public void setFromId(UUID fromId)
    Required. Id of the tag to be replaced.

  - ### setToId

    public void setToId(UUID toId)
    Required. Id of the replacement tag.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`